using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.WinControls.UI;

namespace Demo_Project.Model
{
    public abstract class BaseModel
    {
        public Telerik.WinControls.UI.RadDiagram Diagram { get; set; }
        public RadDiagramShape Shape { get; set; }
        public abstract void Draw();
        public abstract void ReDraw();
        public abstract void SaveChanges();
        public abstract void Remove();
    }
}
